classification
Title: test_tarfile error on cygwin (Directory not empty)
Type: Stage:
Components: Versions: Python 3.0, Python 2.6
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: Nosy List: lars.gustaebel, ocean-city
Priority: normal Keywords: easy, patch

Created on 2008-09-11 17:59 by ocean-city, last changed 2008-09-21 11:59 by ocean-city. This issue is now closed.

Files
File name Uploaded Description Edit
test_tarfile.patch ocean-city, 2008-09-11 17:59
Messages (3)
msg73044 - (view) Author: Hirokazu Yamamoto (ocean-city) * (Python committer) Date: 2008-09-11 17:59
This differs from issue3824. test_tarfile claims following error at the
end of test.

Traceback (most recent call last):
  File "test_tarfile.py", line 1210, in <module>
    test_main()
  File "test_tarfile.py", line 1207, in test_main
    shutil.rmtree(TEMPDIR)
  File "/home/WhiteRabbit/python-dev/trunk/Lib/shutil.py", line 225, in
rmtree
    onerror(os.rmdir, path, sys.exc_info())
  File "/home/WhiteRabbit/python-dev/trunk/Lib/shutil.py", line 223, in
rmtree
    os.rmdir(path)
OSError: [Errno 90] Directory not empty:
'/cygdrive/c/DOCUME~1/WHITER~1/LOCALS~1
/Temp/test_tarfile_tmp'

I've attached patch.
msg73509 - (view) Author: Lars Gustäbel (lars.gustaebel) * (Python committer) Date: 2008-09-21 11:23
The patch is okay. Go ahead.

BTW, I've never used Cygwin before, is it always that slow? 10 minutes
for a configure script on a recent machine is a real pain.
msg73510 - (view) Author: Hirokazu Yamamoto (ocean-city) * (Python committer) Date: 2008-09-21 11:57
Thanks, fixed in trunk(r66539) and py3k(r66540).

>BTW, I've never used Cygwin before, is it always that slow? 10 minutes
for a configure script on a recent machine is a real pain.

Yes, that's really painful. On my box, I can eat dinner and take a bath
while configure & make. :-)
History
Date User Action Args
2008-09-21 11:59:05ocean-citysetstatus: open -> closed
keywords: - needs review
resolution: fixed
2008-09-21 11:57:31ocean-citysetmessages: + msg73510
2008-09-21 11:23:06lars.gustaebelsetnosy: + lars.gustaebel
messages: + msg73509
2008-09-19 22:27:25ocean-citysetkeywords: + needs review
2008-09-11 17:59:32ocean-citycreate